lwIP 2.1.0 released

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

lwIP 2.1.0 released

goldsimon@gmx.de
lwIP 2.1.0 is now available from the lwIP download area on savannah [1]
or via git (using the STABLE-2_1_0_RELEASE tags in both repositories).

There have been many improvements in IPv6 and in the socket API and we
now provide cmake files as the main build tool, but the feature I want
to point out most for this release is TLS support via the new altcp API
(see [2]).

That means we now support secure versions of HTTP (server & client),
MQTT, SMTP and SNMP by integrating any 3rd party TLS library (mbedTLS
support already included).

Of course there have also been numerous other improvements and bugs
fixed since the last release (see CHANGELOG), so it's always a good
idea to upgrade. Even if your vendor doesn't upgrade you right away: we
do try to keep backwards compatibility so that 2.1.0 should ideally be
a drop in replacement for 2.0.x as long as you update the list of files
to compile (things you do need to change are marked in UPGRADING).

Oh, and this will be the last release with a separate contrib
repository. I'll be merging the files from contrib into the main
repository soon after the release. In the git world, having two separate
repositories just doesn't work nice.

As always, many thanks to all contributors!

Simon

[1] https://savannah.nongnu.org/projects/lwip/
[2] https://www.nongnu.org/lwip/

_______________________________________________
lwip-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/lwip-devel